Fetch a conference resource
Returns a single conference resource for the account by its ConferenceSid.
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const conference = await client.texml.accounts.conferences.retrieve('conference_sid', {
account_sid: 'account_sid',
});
console.log(conference.account_sid);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
conference = client.texml.accounts.conferences.retrieve(
conference_sid="conference_sid",
account_sid="account_sid",
)
print(conference.account_sid)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
conference, err := client.Texml.Accounts.Conferences.Get(
context.TODO(),
"conference_sid",
telnyx.TexmlAccountConferenceGetParams{
AccountSid: "account_sid",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", conference.AccountSid)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.texml.accounts.conferences.ConferenceRetrieveParams;
import com.telnyx.sdk.models.texml.accounts.conferences.ConferenceRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ConferenceRetrieveParams params = ConferenceRetrieveParams.builder()
.accountSid("account_sid")
.conferenceSid("conference_sid")
.build();
ConferenceRetrieveResponse conference = client.texml().accounts().conferences().retrieve(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
conference = telnyx.texml.accounts.conferences.retrieve("conference_sid", account_sid: "account_sid")
puts(conference)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$conference = $client->texml->accounts->conferences->retrieve(
'conference_sid', accountSid: 'account_sid'
);
var_dump($conference);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx texml:accounts:conferences retrieve \
--api-key 'My API Key' \
--account-sid account_sid \
--conference-sid conference_sidcurl --request GET \
--url https://api.telnyx.com/v2/texml/Accounts/{account_sid}/Conferences/{conference_sid} \
--header 'Authorization: Bearer <token>'{
"account_sid": "4e71926f-8f13-450e-b91c-23c2ef786aa6",
"api_version": "v2/texml",
"date_created": "Fri, 27 Oct 2023 07:41:58 +0000",
"date_updated": "Fri, 27 Oct 2023 07:41:58 +0000",
"friendly_name": "weekly_review_call",
"region": "dc2",
"sid": "cd5a70f4-759b-4d5e-9c06-88c00f16f3c1",
"status": "in-progress",
"subresource_uris": {
"participants": "/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Participants.json",
"recordings": "/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Recordings.json"
},
"uri": "/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1.json"
}{
"errors": [
{
"detail": "Resource not found"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the account the resource belongs to.
The ConferenceSid that uniquely identifies a conference.
Response
Conference resource.
The id of the account the resource belongs to.
"61bf923e-5e4d-4595-a110-56190ea18a1b"
The version of the API that was used to make the request.
"v2/texml"
Caller ID, if present.
"v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ"
The timestamp of when the resource was created.
"Thu, 15 Jun 2023 09:56:45 +0000"
The timestamp of when the resource was last updated.
"Thu, 15 Jun 2023 09:56:45 +0000"
A string that you assigned to describe this conference room.
"weekly_review_call"
The reason why a conference ended. When a conference is in progress, will be null.
participant-with-end-conference-on-exit-left, last-participant-left, conference-ended-via-api, time-exceeded "time-exceeded"
A string representing the region where the conference is hosted.
"dc2"
The unique identifier of the conference.
"cd5a70f4-759b-4d5e-9c06-88c00f16f3c1"
The status of this conference.
init, in-progress, completed "in-progress"
A list of related resources identified by their relative URIs.
{
"participants": "/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Participants.json",
"recordings": "/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Recordings.json"
}
The relative URI for this conference.
"/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1.json"
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const conference = await client.texml.accounts.conferences.retrieve('conference_sid', {
account_sid: 'account_sid',
});
console.log(conference.account_sid);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
conference = client.texml.accounts.conferences.retrieve(
conference_sid="conference_sid",
account_sid="account_sid",
)
print(conference.account_sid)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
conference, err := client.Texml.Accounts.Conferences.Get(
context.TODO(),
"conference_sid",
telnyx.TexmlAccountConferenceGetParams{
AccountSid: "account_sid",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", conference.AccountSid)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.texml.accounts.conferences.ConferenceRetrieveParams;
import com.telnyx.sdk.models.texml.accounts.conferences.ConferenceRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ConferenceRetrieveParams params = ConferenceRetrieveParams.builder()
.accountSid("account_sid")
.conferenceSid("conference_sid")
.build();
ConferenceRetrieveResponse conference = client.texml().accounts().conferences().retrieve(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
conference = telnyx.texml.accounts.conferences.retrieve("conference_sid", account_sid: "account_sid")
puts(conference)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$conference = $client->texml->accounts->conferences->retrieve(
'conference_sid', accountSid: 'account_sid'
);
var_dump($conference);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx texml:accounts:conferences retrieve \
--api-key 'My API Key' \
--account-sid account_sid \
--conference-sid conference_sidcurl --request GET \
--url https://api.telnyx.com/v2/texml/Accounts/{account_sid}/Conferences/{conference_sid} \
--header 'Authorization: Bearer <token>'{
"account_sid": "4e71926f-8f13-450e-b91c-23c2ef786aa6",
"api_version": "v2/texml",
"date_created": "Fri, 27 Oct 2023 07:41:58 +0000",
"date_updated": "Fri, 27 Oct 2023 07:41:58 +0000",
"friendly_name": "weekly_review_call",
"region": "dc2",
"sid": "cd5a70f4-759b-4d5e-9c06-88c00f16f3c1",
"status": "in-progress",
"subresource_uris": {
"participants": "/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Participants.json",
"recordings": "/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Recordings.json"
},
"uri": "/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1.json"
}{
"errors": [
{
"detail": "Resource not found"
}
]
}